﻿using PokemonSleepInterface.Models;
using PokemonSleepInterface.Service.IService;
using PokemonSleepInterface.Utility;

namespace PokemonSleepInterface.Service
{
    public class PokemonService : IPokemonService
    {
        private readonly IBaseService _baseService;
        public PokemonService(IBaseService baseService)
        {
            _baseService = baseService;
        }
        public async Task<ResponseDto?> GetAllPokemonAsync()
        {
            return await _baseService.SendAsync(new RequestDto()
            {
                ApiType = StaticDetails.ApiType.GET,
                Url = StaticDetails.PokemonAPIBase + "/api/pokemon"
            });
        }
    }
}
